new Vue({
    el: '#etcBids-app',
    data: {
        channelIndex: '',
        queryParams: {
            page: 1,
            rows: 10,
            PublicId: 1430,
            NoticeType: 0
        },
        total: 0,
        noticeUrl: NOTICE_URL,
        notices: [],
        upPriceTypes: [
            {
                typeName: '竞价公告',
                typeNum: 0
            },
            {
                typeName: '竞价成功公告',
                typeNum: 5
            },
            {
                typeName: '更正公告',
                typeNum: 1
            },
            {
                typeName: '竞价失败公告',
                typeNum: 6
            },
           {
                typeName: '调研公告',
                typeNum: 7
            }
        ],
    },
    methods: {
        loadNotices,
        changeNoticeType,
        getNoticeTypeNum,
        goPage,
        open: (ProjectId, NoticeType, Id) => {   
        window.open(`http://www.zhongyuanzb.com/single-pages/notice-content-new.html?ProjectId=${ProjectId}&NoticeType=${NoticeType}&Id=${Id}`, '_self');
        }
    }
    ,
    filters: {
        cutTime: function (value) {
            return value ? value.substr(0, 10) : '';
        }
    }
    ,
    created: created
});

function goPage(page) {
    this.queryParams.page = page;
    this.loadNotices();
}

function created() {
    this.loadNotices();
    this.getNoticeTypeNum();
}

function loadNotices() {
    let _this = this;
    axios.get(PAGE_NOTICE_URL, {params: this.queryParams}).then(resp => {
        _this.notices = resp.data.rows;
        _this.total = resp.data.total;
    });
}

function changeNoticeType(type) {
    this.queryParams.NoticeType = type;
    this.loadNotices();
}

function getNoticeTypeNum() {
    let _this = this;
    this.channelIndex = $('#channelIndex').val();
    let a = this.upPriceTypes.filter(val => _this.channelIndex === val.typeName);
    this.queryParams.NoticeType = a[0].typeNum;
}

$(function () {
    $('.nav-menu li').hover(function () {
        $(this).find("i").stop(true).animate({"width": 100 + '%'}, 300);
    }, function () {
        $(this).find("i").stop(true).animate({"width": 0}, 300);
    });

    $(" .nav-menu li").hover(function () {
        $(this).find('.nav-dropdown').stop().animate({height: '60'}, 300);
        $(this).find('.container').css("display", "block");
    }, function () {
        $(this).find('.nav-dropdown').stop().animate({height: '0'}, 300);
        $(this).find('.container').css("display", "none");
    })
});
